- Qt 5.15
- Qt Multimedia
- C++ Classes
- QMediaServiceFeaturesInterface
- Qt 5.15.18 Reference Documentation

# QMediaServiceFeaturesInterface Struct

The QMediaServiceFeaturesInterface class interface identifies features supported by a media service plug-in. More...

Header: | #include <QMediaServiceFeaturesInterface>
qmake: | QT += multimedia

This struct is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaServiceFeaturesInterface()
virtual QMediaServiceProviderHint::Features | supportedFeatures(const QByteArray &service) const = 0

## Detailed Description

A QMediaServiceProviderPlugin may implement this interface.

## Member Function Documentation

### `[virtual]` QMediaServiceFeaturesInterface::~QMediaServiceFeaturesInterface()

Destroys a media service features interface.

### `[pure virtual]` QMediaServiceProviderHint::Features QMediaServiceFeaturesInterface::supportedFeatures(const QByteArray &service) const

Returns a set of features supported by a plug-in service.